## rgain3 1.1.1

=== requirements.txt ===
PyGObject>=3.34.0
mutagen>=1.43.0

=== debian/changelog ===
rgain3 (1.1.1-3) unstable; urgency=medium

  [ Simon Chopin ]
  * d/tests/python3: remove extraneous quotes (really Closes: #997855)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 12:52:49 +0100

rgain3 (1.1.1-2) unstable; urgency=medium

  * d/tests: Depend on python3-all for loop over $(py3versions -s)
    (Closes: #997855)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 10:32:54 +0100

rgain3 (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Simon McVittie ]
  * New upstream release
  * d/control: Version some dependencies
  * d/copyright: Update
  * Drop patches that were applied upstream
  * Standards-Version: 4.5.1 (no changes required)
  * Use pytest to run build-time tests
  * d/control: Add a warning about API stability
  * Mark autopkgtest as flaky.
    This seems to be reliable on a real machine but sometimes fails in an
    autopkgtest VM. See https://github.com/chaudum/rgain3/issues/37
  * d/gbp.conf: Set packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Aug 2021 13:21:57 +0100

rgain3 (1.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Simon McVittie ]
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Switch to a new upstream source, supporting Python 3
    (Closes: #960310) (reopens: #798137, #829053, #893660)
    - The upstream version number has been reset to 1.0.0 with the switch to
      a new upstream name, but this is harmless because the source package
      and all binary packages were renamed. The next release of rgain3 will
      probably be versioned 3.x to be less confusing.
    - Update dependencies
    - Update name of README
    - d/copyright: Update
    - Include binary test data.
      This was not included in the upstream tarball release (which will
      hopefully be fixed in the next release), but is necessary to run the
      tests. It consists of several artificial 1-second audio files.
  * Separate replaygain(1) and collectiongain(1) into their own binary
    package to make them more discoverable (Closes: #780915)
    - Add Breaks/Replaces on the removed package python-rgain.
      They cannot be co-installed because both provide replaygain(1)
      and collectiongain(1).
  * d/p/setup.cfg-Only-run-functional-checks-during-Debian-packag.patch:
    Disable non-functional checks (coding style, etc.) during package
    build. These checks add extra dependencies, increase fragility
    (failing when a subjective coding style check is changed), and are
    not really useful for our purposes.
  * d/tests/python3: Run tests as an autopkgtest
  * d/tests/replaygain: Add a test for the replaygain(1) CLI
    - d/tests/*.oga: Copy some Free Software audio files from
      sound-theme-freedesktop to have non-trivial data to test against.
      They are included here to avoid the tests spuriously failing if
      the sounds in sound-theme-freedesktop are changed.
  * d/control, d/p/Replace-link-to-replaygain.org.patch:
    Replace dead links.
    replaygain.org doesn't seem to be under the control of the author of
    the ReplayGain specification any more, and the Hydrogenaudio wiki
    appears to be the de facto reference now.
  * d/p/Use-GLib.MainLoop-instead-of-GObject.MainLoop.patch,
    d/p/Replace-deprecated-assertEquals-with-assertEqual.patch:
    Apply upstreamed patches to fix deprecation warnings
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Move to debhelper compat level 13
  * d/p/0001-build-Use-a-reproducible-timestamp-for-man-pages.patch:
    Drop patch, no longer necessary.
    The man pages no longer appear to include a date.

 -- Simon McVittie <smcv@debian.org>  Sun, 24 May 2020 12:43:33 +0100

rgain (1.3.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Simon McVittie ]
  * Standards-Version: 4.3.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Normalize dependency lists (wrap-and-sort -abst)
  * Use debhelper-compat 12 and pybuild

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Feb 2019 15:34:21 +0000

rgain (1.3.4-3) unstable; urgency=medium

  * Standards-Version: 4.1.4 (no changes required)
  * Set Testsuite: autopkgtest-pkg-python to enable a standard autodep8
    smoke-test
  * Switch packaging git repository from git dpm to a patches-unapplied
    layout suitable for gbp pq, with DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Apr 2018 10:23:28 +0100

rgain (1.3.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Simon McVittie ]
  * Remove Simon Chopin from Uploaders, no longer active in Debian.
    Thanks for your work on this package!
  * Add myself to Uploaders (Closes: #889778)
  * d/p/0001-build-Use-a-reproducible-timestamp-for-man-pages.patch:
    Make the date in the man pages reproducible across changes to date
    and local time zone
  * Build-depend on dh-python
  * Standards-Version: 4.1.3 (no changes required)
  * Advance to debhelper compat level 11

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Mar 2018 09:12:11 +0000

rgain (1.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Debian Python Modules Team ]
  * Move from svn to git-dpm

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Simon McVittie ]
  * Update debian/watch file to use pypi.debian.net
  * New upstream version
    - d/copyright: update
  * Recommend gstreamer1.0-plugins-ugly | gstreamer1.0-libav, for
    MP3 decoding via libmad or ffmpeg respectively (Closes: #822859)
  * Standards-Version: 3.9.8 (no changes required)



=== debian/control ===
Source: rgain3
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gir1.2-gstreamer-1.0 <!nocheck>,
 gstreamer1.0-plugins-base <!nocheck>,
 gstreamer1.0-plugins-good <!nocheck>,
 gstreamer1.0-plugins-ugly <!nocheck>,
 python3-all,
 python3-docutils,
 python3-gi (>= 3.34.0),
 python3-mutagen (>= 1.43.0),
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/chaudum/rgain
Vcs-Git: https://salsa.debian.org/python-team/packages/rgain3.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rgain3
Testsuite: autopkgtest-pkg-python

Package: python3-rgain3
Architecture: all
Depends:
 gir1.2-gstreamer-1.0,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 python3-gi (>= 3.34.0),
 python3-mutagen (>= 1.43.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gstreamer1.0-plugins-ugly | gstreamer1.0-libav,
Description: Replay Gain volume normalization Python library
 This package provides a Python package to calculate the Replay
 Gain values of audio files, and store those values in the files
 as metadata. Media players that support Replay Gain will use this
 information to adjust the volume during playback, so that all tracks
 sound equally loud.
 .
 Replay Gain is a proposed standard designed to solve the problem of
 varying volumes across audio files. For more information see
 <https://wiki.hydrogenaud.io/index.php?title=ReplayGain>.
 .
 This library is primarily intended to be used by the replaygain package,
 and its API is not necessarily stable.

Package: replaygain
Section: sound
Architecture: all
Depends:
 python3-rgain3,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-rgain (<< 1.3.4-4+rm),
Replaces:
 python-rgain (<< 1.3.4-4+rm),
Description: Replay Gain volume normalization Python tools
 This package contains the replaygain and collectiongain tools, which use
 the rgain3 Python package to apply volume normalization metadata to
 individual tracks, albums, or an entire collection of music.
 Media players that support Replay Gain will use this information to
 adjust the volume during playback, so that all tracks sound equally loud.
 .
 Replay Gain is a proposed standard designed to solve the problem of
 varying volumes across audio files. For more information see
 <https://wiki.hydrogenaud.io/index.php?title=ReplayGain>.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_TEST_PYTEST = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf build/man
	dh_clean

=== debian/tests/control ===
Tests: python3
Depends:
 gstreamer1.0-plugins-ugly | gstreamer1.0-libav,
 python3-all,
 python3-pytest,
 python3-rgain3,
Restrictions: allow-stderr

Tests: replaygain
Depends:
 replaygain,
 vorbis-tools,
Restrictions: allow-stderr, flaky

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/rgain3/rgain3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
